Summary: Secure Shell - encrypts network communications.
Name: ssh
Version: 1.2.19
Release: 1i
URL: http://www.cs.hut.fi/ssh/
Packager: Martin Ebourne <mje92@ecs.soton.ac.uk>
Source0: ftp://ftp.cs.hut.fi/pub/ssh/ssh-1.2.19.tar.gz
Source1: ftp://ftp.funet.fi/pub/crypt/mirrors/idea.sec.dsi.unimi.it/math/rsaref20.tar.Z
Source2: sshd.init
Patch: ssh-1.2.19-config.patch
Copyright: Non-commercially distributable
Group: Networking/Utilities
BuildRoot: /tmp/ssh-root
Requires: tcp_wrappers
%description
Ssh (Secure Shell) a program for logging into a remote machine and for
executing commands in a remote machine.  It is intended to replace
rlogin and rsh, and provide secure encrypted communications between
two untrusted hosts over an insecure network.  X11 connections and
arbitrary TCP/IP ports can also be forwarded over the secure channel.

This package includes the ssh server.

The 'i' form of the package is compiled with internal RSAREF and is
recommended for use outside the USA, the 'us' form is compiled for
external RSAREF and should be used within the USA.

%package clients
Summary: Clients for connecting to Secure Shell servers
Group: Networking/Utilities
%description clients
This package includes the clients necessary to make encrypted connections
to SSH servers.

%prep
%setup
%patch -p1
mkdir rsaref2
tar -C rsaref2 -xzf $RPM_SOURCE_DIR/rsaref20.tar.Z

if [ -e rsaref2/rsaref.tar ]; then
	cd rsaref2
	tar xf rsaref.tar
	cd ..
fi

%build
if [ -e /etc/login.defs ]; then
	echo "Saving your /etc/login.defs file to /etc/login.defs.good"
	mv -f /etc/login.defs /etc/login.defs.good
fi
if [ ! -e /etc/shadow ]; then
	touch /etc/shadow
fi
USE_RSAREF=
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=/usr --with-libwrap $USE_RSAREF
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr $RPM_BUILD_ROOT/etc/rc.d/init.d
make prefix=$RPM_BUILD_ROOT/usr install
touch $RPM_BUILD_ROOT/etc/ssh_host_key
install -m755 $RPM_SOURCE_DIR/sshd.init $RPM_BUILD_ROOT/etc/rc.d/init.d/sshd.init
for I in 3 5; do
	DIR=$RPM_BUILD_ROOT/etc/rc.d/rc$I.d
	mkdir -p $DIR
	ln -s ../init.d/sshd.init $DIR/S55sshd
done

for I in 0 1 2 6; do
	DIR=$RPM_BUILD_ROOT/etc/rc.d/rc$I.d
	mkdir -p $DIR
	ln -s ../init.d/sshd.init $DIR/K45sshd
done
install -m600 host_config.sample $RPM_BUILD_ROOT/etc/ssh_config
sed 's/_ETCDIR_/\/etc/' < server_config.sample > sshd_config
install -m600 sshd_config $RPM_BUILD_ROOT/etc/sshd_config
strip $RPM_BUILD_ROOT/usr/sbin/* $RPM_BUILD_ROOT/usr/bin/* ||:
%clean
rm -rf $RPM_BUILD_ROOT

%post
if [ ! -f /etc/ssh_host_key -o ! -s /etc/ssh_host_key ]; then
        /usr/bin/ssh-keygen -b 1024 -f /etc/ssh_host_key -N ''
fi

%files
/usr/bin/ssh-keygen
/usr/man/man1/ssh-keygen.1
/usr/bin/make-ssh-known-hosts
/usr/sbin/sshd
/usr/man/man8/sshd.8
/usr/man/man1/make-ssh-known-hosts.1
%config /etc/sshd_config
%config /etc/rc.d/init.d/sshd.init
/etc/rc.d/rc3.d/S55sshd
/etc/rc.d/rc5.d/S55sshd
/etc/rc.d/rc0.d/K45sshd
/etc/rc.d/rc1.d/K45sshd
/etc/rc.d/rc2.d/K45sshd
/etc/rc.d/rc6.d/K45sshd

%files clients
%config /etc/ssh_config
/usr/bin/ssh
/usr/bin/slogin
/usr/bin/ssh-agent
/usr/bin/ssh-add
/usr/bin/scp
/usr/bin/ssh-askpass
/usr/bin/ssh-keygen
/usr/man/man1/ssh-keygen.1
/usr/man/man1/ssh-agent.1
/usr/man/man1/ssh-add.1
/usr/man/man1/scp.1
/usr/man/man1/slogin.1
/usr/man/man1/ssh.1
